routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers as Controladores;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

Auth:: routes(['register' => false]);

Route::get('/home', [Controladores\HomeController::class, 'index'])->name('home');

Route::resource('users', Controladores\UserController::class)->middleware('auth');
Route::resource('providers', Controladores\ProviderController::class)->middleware('auth');
Route::resource('productos', Controladores\ProductoController::class)->middleware('auth');
Route::resource('clientes', Controladores\ClienteController::class)->middleware('auth');
Route::resource('especie-mascotas', Controladores\EspecieMascotaController::class)->middleware('auth');
Route::resource('mascotas', Controladores\MascotaController::class)->middleware('auth');
Route::resource('servicios', Controladores\ServicioController::class)->middleware('auth');
Route::resource('ventas', Controladores\VentaController::class)->except(['store'])->middleware('auth');
Route::get('consultas/atencion',[Controladores\ConsultaController::class,'atencion'])->middleware('auth')->name('consultas.atencion');
Route::get('consultas/programacion',[Controladores\ConsultaController::class,'programacion'])->middleware('auth')->name('consultas.programacion');
Route::resource('consultas', Controladores\ConsultaController::class)->middleware('auth');
Route::get('consultas/{consulta}/editDetail',[Controladores\ConsultaController::class,'editDetail'])->middleware('auth')->name('consultas.editDetail');
Route::patch('consultas/{consulta}',[Controladores\ConsultaController::class,'saveDetail'])->middleware('auth')->name('consultas.saveDetail');

app/Models/Cliente.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class Cliente
 *
 * @property $id
 * @property $documento_de_identidad
 * @property $nombres
 * @property $apellidos
 * @property $correo
 * @property $celular
 * @property $direccion
 * @property $created_at
 * @property $updated_at
 *
 * @property Mascota[] $mascotas
 * @property Venta[] $ventas
 * @package App
 * @mixin \Illuminate\Database\Eloquent\Builder
 */
class Cliente extends Model
{

    static $rules = [
		'documento_de_identidad' => 'required|numeric|digits_between:8,15|unique:clientes,documento_de_identidad',
		'nombres' => 'required|string|min:4|max:100',
		'apellidos' => 'required|string|min:4|max:100',
		'correo' => 'required|string|min:13|max:100|unique:clientes,correo',
        'celular'=> 'required|digits:9|unique:clientes,celular',
		'direccion' => 'required|string|min:20|max:300',
    ];

    protected $perPage = 20;

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['documento_de_identidad','nombres','apellidos','correo','celular','direccion'];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function mascotas()
    {
        return $this->hasMany('App\Models\Mascota', 'id_cliente', 'id');
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function ventas()
    {
        return $this->hasMany('App\Models\Venta', 'id_cliente', 'id');
    }

    public function consultas()
    {
        return $this->hasMany('App\Models\Consulta', 'id_cliente', 'id');
    }

}

app/Http/Controllers/ClienteController.php
<?php

namespace App\Http\Controllers;

use App\Models\Cliente;
use Illuminate\Http\Request;

/**
 * Class ClienteController
 * @package App\Http\Controllers
 */
class ClienteController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $clientes = Cliente::paginate();

        return view('cliente.index', compact('clientes'))
            ->with('i', (request()->input('page', 1) - 1) * $clientes->perPage());
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $cliente = new Cliente();
        return view('cliente.create', compact('cliente'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        request()->validate(Cliente::$rules);

        Cliente::create($request->all());

        return redirect()->route('clientes.index')
            ->with('success', 'Cliente registrado con éxito');
    }

    /**
     * Display the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $cliente = Cliente::find($id);

        return view('cliente.show', compact('cliente'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $cliente = Cliente::find($id);

        return view('cliente.edit', compact('cliente'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  Cliente $cliente
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Cliente $cliente)
    {
        $updrules = [
            'documento_de_identidad' => 'required|numeric|digits_between:8,15|unique:clientes,documento_de_identidad,'.$cliente->id,
            'correo'=>'required|string|min:13|max:100|unique:clientes,correo,'.$cliente->id,
            'celular'=> 'required|digits:9|unique:clientes,celular,'.$cliente->id,
        ];

        request()->validate(array_replace(Cliente::$rules, $updrules));

        $cliente->update($request->all());

        return redirect()->route('clientes.index')
            ->with('success', 'Se actualizaron los datos correctamente');
    }

    /**
     * @param int $id
     * @return \Illuminate\Http\RedirectResponse
     * @throws \Exception
     */
    public function destroy($id)
    {
        $cliente = Cliente::find($id)->delete();

        return redirect()->route('clientes.index')
            ->with('success', 'Se eliminó el cliente correctamente');
    }
}

resources/views/cliente/create.blade.php
@extends('layouts.app')

@section('template_title')
    Nuevo Cliente
@endsection

@section('content')
    <section class="content container-fluid">
        <div class="row">
            <div class="col-md-12">

                @includeif('partials.errors')

                <div class="card card-default">
                    <div class="card-header">
                        <span class="card-title">Registro de Cliente</span>
                    </div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('clientes.store') }}"  role="form" enctype="multipart/form-data">
                            @csrf

                            @include('cliente.form')

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

resources/views/cliente/edit.blade.php
@extends('layouts.app')

@section('template_title')
    Editar Cliente
@endsection

@section('content')
    <section class="content container-fluid">
        <div class="">
            <div class="col-md-12">

                @includeif('partials.errors')

                <div class="card card-default">
                    <div class="card-header">
                        <span class="card-title">Editar Cliente</span>
                    </div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('clientes.update', $cliente->id) }}"  role="form" enctype="multipart/form-data">
                            {{ method_field('PATCH') }}
                            @csrf

                            @include('cliente.form')

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

resources/views/cliente/form.blade.php
<div class="box box-info padding-1">
    <div class="box-body">
        
        <div class="form-group">
            {{ Form::label('documento_de_identidad', 'Documento de identidad') }}
            {{ Form::number('documento_de_identidad', $cliente->documento_de_identidad, ['class' => 'form-control' . ($errors->has('documento_de_identidad') ? ' is-invalid' : ''), 'placeholder' => 'DNI o CEX']) }}
            {!! $errors->first('documento_de_identidad', '<p class="invalid-feedback">:message</p>') !!}
        </div>
        <div class="form-group">
            {{ Form::label('nombres') }}
            {{ Form::text('nombres', $cliente->nombres, ['class' => 'form-control' . ($errors->has('nombres') ? ' is-invalid' : ''), 'placeholder' => 'Nombres']) }}
            {!! $errors->first('nombres', '<p class="invalid-feedback">:message</p>') !!}
        </div>
        <div class="form-group">
            {{ Form::label('apellidos') }}
            {{ Form::text('apellidos', $cliente->apellidos, ['class' => 'form-control' . ($errors->has('apellidos') ? ' is-invalid' : ''), 'placeholder' => 'Apellidos']) }}
            {!! $errors->first('apellidos', '<p class="invalid-feedback">:message</p>') !!}
        </div>
        <div class="form-group">
            {{ Form::label('correo') }}
            {{ Form::email('correo', $cliente->correo, ['class' => 'form-control' . ($errors->has('correo') ? ' is-invalid' : ''), 'placeholder' => 'Correo']) }}
            {!! $errors->first('correo', '<p class="invalid-feedback">:message</p>') !!}
        </div>
        <div class="form-group">
            {{ Form::label('celular') }}
            {{ Form::number('celular', $cliente->celular, ['class' => 'form-control' . ($errors->has('celular') ? ' is-invalid' : ''), 'placeholder' => 'Celular', 'min' => '900000000', 'max'=>'999999999']) }}
            {!! $errors->first('celular', '<p class="invalid-feedback">:message</p>') !!}
        </div>
        <div class="form-group">
            {{ Form::label('direccion', 'Dirección') }}
            {{ Form::text('direccion', $cliente->direccion, ['class' => 'form-control' . ($errors->has('direccion') ? ' is-invalid' : ''), 'placeholder' => 'Direccion']) }}
            {!! $errors->first('direccion', '<p class="invalid-feedback">:message</p>') !!}
        </div>

    </div>
    <div class="box-footer mt20">
        <button type="submit" class="btn btn-primary">GUARDAR</button>
    </div>
</div>

resources/views/cliente/index.blade.php
@extends('layouts.app')

@section('template_title')
    Gestion de Clientes
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <div style="display: flex; justify-content: space-between; align-items: center;">

                            <span id="card_title">
                                {{ __('Clientes') }}
                            </span>

                            <div class="float-right">
                                <a href="{{ route('clientes.create') }}" class="btn btn-primary btn-sm float-right"  data-placement="left">
                                    {{ __('Registrar') }}
                                </a>
                            </div>
                        </div>
                    </div>
                    @if ($message = Session::get('success'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                    @endif

                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover">
                                <thead class="thead">
                                    <tr>
                                        <th>No</th>
                                        
										<th>Documento</th>
										<th>Nombres</th>
										<th>Apellidos</th>
										<th>Correo</th>
										<th>Celular</th>

                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($clientes as $cliente)
                                        <tr>
                                            <td>{{ ++$i }}</td>
                                            
											<td>{{ $cliente->documento_de_identidad }}</td>
											<td>{{ $cliente->nombres }}</td>
											<td>{{ $cliente->apellidos }}</td>
											<td>{{ $cliente->correo }}</td>
											<td>{{ $cliente->celular }}</td>

                                            <td>
                                                <form action="{{ route('clientes.destroy',$cliente->id) }}" method="POST">
                                                    <a class="btn btn-sm btn-primary " href="{{ route('clientes.show',$cliente->id) }}"><i class="fa fa-fw fa-eye"></i> Ver</a>
                                                    <a class="btn btn-sm btn-success" href="{{ route('clientes.edit',$cliente->id) }}"><i class="fa fa-fw fa-edit"></i> Editar</a>
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="button" class="btn btn-danger btn-sm deler"><i class="fa fa-fw fa-trash"></i> Eliminar</button>
                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                {!! $clientes->links() !!}
            </div>
        </div>
    </div>
@endsection

@section('scripts')
<script>
    $(function(){
        $(".deler").click(function(){
            if(confirm("¿Desea eliminar al cliente?")){
                $(this).parent().submit();
            }
        });
    });
</script>
@endsection

resources/views/cliente/show.blade.php
@extends('layouts.app')

@section('template_title')
    {{ $cliente->name ?? 'Info de Cliente' }}
@endsection

@section('content')
    <section class="content container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <div class="float-left">
                            <span class="card-title">Información de Cliente</span>
                        </div>
                        <div class="float-right">
                            <a class="btn btn-sm btn-primary" href="{{ route('clientes.index') }}"> Back</a>
                        </div>
                    </div>

                    <div class="card-body">
                        
                        <div class="form-group">
                            <strong>Documento de identidad:</strong>
                            {{ $cliente->documento_de_identidad }}
                        </div>
                        <div class="form-group">
                            <strong>Nombres:</strong>
                            {{ $cliente->nombres }}
                        </div>
                        <div class="form-group">
                            <strong>Apellidos:</strong>
                            {{ $cliente->apellidos }}
                        </div>
                        <div class="form-group">
                            <strong>Correo:</strong>
                            {{ $cliente->correo }}
                        </div>
                        <div class="form-group">
                            <strong>Celular:</strong>
                            {{ $cliente->celular }}
                        </div>
                        <div class="form-group">
                            <strong>Dirección:</strong>
                            {{ $cliente->direccion }}
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection